Loading...
Searching...
No Matches
mdds::fst::detail::reverse_itr_handler< FstType > Struct Template Reference

`#include <flat_segment_tree_itr.hpp>`

## Public Types

using | fst_type = FstType

## Static Public Member Functions

static const fst_type::node * | init_pos (const fst_type *_db, bool _end)
static void | inc (const fst_type *_db, const typename fst_type::node *&p, bool &end)
static void | dec (const typename fst_type::node *&p, bool &end)

## Detailed Description

template<typename FstType>
struct mdds::fst::detail::reverse_itr_handler< FstType >

Handler for reverse iterator